package org.processmining.glueminer.parameters;

public class GeneratePetrinetParameters {
	/*
	 * int numStartActivities;
	int numEndActivities;
	int noIntermediateActivities;
	int noOfWantedPlaces;
	int maxNoIterations;
	 */

	/*
	 * defaultMaxSourceActivitiesNumber
	 * defaultMaxTargetActivitiesNumber
	 */
	public Integer numStartActivities;
	public Integer numEndActivities;
	public Integer noIntermediateActivities;
	public Integer noOfWantedPlaces;
	public Integer maxNoIterations;
	public Integer maxSourceActivities;
	public Integer maxTargetActivities;
	
	public GeneratePetrinetParameters() {
		this.numStartActivities = GeneratePetrinetConstants.defaultStartActivities;
		this.numEndActivities = GeneratePetrinetConstants.defaultEndActivities;
		this.noIntermediateActivities = GeneratePetrinetConstants.defaultIntermediateActivities;
		this.noOfWantedPlaces = GeneratePetrinetConstants.defaultWantedPlaces;
		this.maxNoIterations = GeneratePetrinetConstants.defaultMaxNoIterations;
		this.maxSourceActivities = GeneratePetrinetConstants.defaultMaxSourceActivitiesNumber;
		this.maxTargetActivities = GeneratePetrinetConstants.defaultMaxTargetActivitiesNumber;
	}
	
	public GeneratePetrinetParameters(Integer numStartActivities, Integer numEndActivities, Integer noIntermediateActivities, Integer noOfWantedPlaces, Integer maxNoIterations, Integer maxSourceActivities, Integer maxTargetActivities) {
		this.numStartActivities = numStartActivities;
		this.numEndActivities = numEndActivities;
		this.noIntermediateActivities = noIntermediateActivities;
		this.noOfWantedPlaces = noOfWantedPlaces;
		this.maxNoIterations = maxNoIterations;
		this.maxSourceActivities = maxSourceActivities;
		this.maxTargetActivities = maxTargetActivities;
	}
}
